Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Gcc 8.1
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2  
Reply to topic    Gentoo Forums Forum Index Other Things Gentoo
View previous topic :: View next topic  
Author Message
Spargeltarzan
Apprentice
Apprentice


Joined: 23 Jul 2017
Posts: 265

PostPosted: Tue Jun 05, 2018 12:14 pm    Post subject: Reply with quote

I recompiled my system with gcc 8.1/glibc 2.27-r3 and 5 packages failed. 3 of them (sys-devel/make, sys-fs/xfsprogs and media-sound/pulseaudio) I fixed by updating to ~amd64 version.

Xen-tools and avidemux remain failing.

Did you work with glibc 2.27?
_________________
___________________
Regards

Spargeltarzan

Notebook: Lenovo YOGA 900-13ISK: Gentoo stable amd64, GNOME systemd, KVM/QEMU
Desktop-PC: Intel Core i7-4770K, 8GB Ram, AMD Radeon R9 280X, ZFS Storage, GNOME openrc, Dantrell, Xen
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3179
Location: Gainesville, Florida

PostPosted: Sun Jun 10, 2018 11:08 pm    Post subject: Reply with quote

So, is the consensus now that if you run ~Arch recompiling the system with system with gcc 8.1/glibc 2.27-r3 should pretty much go close to a normal rebuild?

At least, no critical basic packages are problematic?
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.27-r6, gcc-8.2.0 kernel-4.18.8-gentoo USE=experimental
Back to top
View user's profile Send private message
freke
Guru
Guru


Joined: 23 Jan 2003
Posts: 367
Location: Somewhere in Denmark

PostPosted: Mon Jun 11, 2018 3:18 pm    Post subject: Reply with quote

Code:
lamp ~ # emerge --info
Portage 2.3.40 (python 3.6.5-final-0, default/linux/amd64/17.1/no-multilib/hardened, gcc-8.1.0, glibc-2.27-r3, 4.16.12-gentoo x86_64)
=================================================================
System uname: Linux-4.16.12-gentoo-x86_64-AMD_GX-412TC_SOC-with-gentoo-2.4.1
KiB Mem:     4025160 total,   1062808 free
KiB Swap:    6291636 total,   6290868 free
Timestamp of repository gentoo: Mon, 11 Jun 2018 00:00:01 +0000
Head commit of repository gentoo: 16548331c8e93f83feacd12ef90e30bfb2120d67
sh bash 4.4_p12
ld GNU ld (Gentoo 2.30 p2) 2.30.0
app-shells/bash:          4.4_p12::gentoo
dev-lang/perl:            5.24.3-r1::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.6.5::gentoo
dev-util/cmake:           3.9.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.11::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.69-r4::gentoo
sys-devel/automake:       1.15.1-r2::gentoo
sys-devel/binutils:       2.30-r2::gentoo
sys-devel/gcc:            8.1.0-r3::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1-r2::gentoo
sys-kernel/linux-headers: 4.16-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.27-r3::gentoo

This is a headless server (ie. no X) and *mostly* stable (/etc/portage/package.accept_keywords)
Code:
app-forensics/lynis
dev-db/phpmyadmin
mail-client/roundcube
net-analyzer/munin

=app-forensics/unhide-20130526

www-apache/mod_evasive
www-apache/mod_qos

=sys-devel/gcc-8.1.0-r3 **
=sys-libs/glibc-2.27-r3

=app-backup/tarsnap-1.0.37

=sys-kernel/gentoo-sources-4.16.12
=sys-kernel/linux-headers-4.16-r1
=sys-kernel/linux-firmware-20180518

=sys-devel/make-4.2.1-r2

No issues rebuilding or running the system that I noticed.
Back to top
View user's profile Send private message
Spargeltarzan
Apprentice
Apprentice


Joined: 23 Jul 2017
Posts: 265

PostPosted: Sat Jun 23, 2018 2:25 pm    Post subject: Reply with quote

How did you solve gcc issue compiling LLVM? When I try to upgrade llvm it is not possible since Mesa still needs LLVM 5. Upgrading Mesa to ~amd64 shows some conflicts with i915 files and forces removal of eselect-mesa. Compilation was successful, but I am afraid this hint hides some risk for system-breakage that's why I downgraded mesa again and want to ask you about your actions?

ADD: I just took the risk now and upgraded to Mesa ~amd64, this message about i915 files looks ambivalent for me, but systems works normally currently after the upgrade and with LLVM 6.0
_________________
___________________
Regards

Spargeltarzan

Notebook: Lenovo YOGA 900-13ISK: Gentoo stable amd64, GNOME systemd, KVM/QEMU
Desktop-PC: Intel Core i7-4770K, 8GB Ram, AMD Radeon R9 280X, ZFS Storage, GNOME openrc, Dantrell, Xen
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Other Things Gentoo All times are GMT
Goto page Previous  1, 2
Page 2 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum